Retrieve Objects(3)

NAME
Retrieve Objects -

  Functions
hwloc_obj_t hwloc_get_obj_by_depth (hwloc_topology_t topology, unsigned depth, unsigned idx)
static inline hwloc_obj_t hwloc_get_obj_by_type (hwloc_topology_t topology, hwloc_obj_type_t type, unsigned idx)

Detailed Description

Be sure to see the figure in termsanddefs that shows a complete topology tree, including depths, child/sibling/cousin relationships, and an example of an asymmetric topology where one socket has fewer caches than its peers.

Function Documentation

  hwloc_obj_t hwloc_get_obj_by_depth (hwloc_topology_ttopology, unsigneddepth, unsignedidx)

Returns the topology object at logical index idx from depth depth.

  static inline hwloc_obj_t hwloc_get_obj_by_type (hwloc_topology_ttopology, hwloc_obj_type_ttype, unsignedidx) [static]

Returns the topology object at logical index idx with type type. If no object for that type exists, NULL is returned. If there are several levels with objects of that type, NULL is returned and ther caller may fallback to hwloc_get_obj_by_depth().

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.